---
title: "startcall"
slug: "startcall"
updated: 2024-10-25T11:02:05Z
published: 2024-10-25T11:02:05Z
canonical: "docs.voiso.com/startcall"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiso.com/llms.txt
> Use this file to discover all available pages before exploring further.
# startcall
Post/api/v1/{api_key}/click2call
Enables agents to initiate a call from a third-party application, such as a CRM, via the API. Agents are identified by their extensions in the agent parameter. The number parameter specifies the destination numbers.
Path parametersapi_keystringRequired
The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key).
Example{contact_center_api_key}
Query parametersagentstringRequired
The extension of the Agent making the call.
Example347
numberstringRequired
The outbound number to dial in E.164 format.
Example16461572020
account_idstring
An ID for the contact. Used to mask the phone number in the softphone.
Example12345678
crmstring
The name of a CRM or other service used to add a tag to the call.
Examplemy_crm
get_call_idboolean
Set to true to get the call_id (the UUID assigned to the call in the CDR) as a json in the response.
Responses200
All parameters are valid and the API call is successful.
example1
Calls 1
Call records array requested with page based pagination.
```json
{
"call_id": "24f6a191-f0ad-4257-x934-32xx26x51208"
}
```
Example{
"call_id": "24f6a191-f0ad-4257-x934-32xx26x51208"
}
204
All parameters are valid and the API call is successful. No content in response.
400
Incorrect body parameters
example1
Error1
Agent click2call disabled
```json
{
"error": "Click2call is disabled in the agent's security access group."
}
```
example2
Error2
Invalid destination number. Number must be in E.164 format.
```json
{
"error": "Invalid destination number"
}
```
example3
Error3
The agent's extension is not in the correct format or the extension is not assigned.
```json
{
"error": "Invalid agent's extension"
}
```
example4
Error4
The agent is not logged into their softphone.
```json
{
"error": "Agent logged off"
}
```
Example{
"error": "Click2call is disabled in the agent's security access group."
}
403
Invalid api_key
example1
Error1
Invalid API key
```json
{
"error": "Invalid API key"
}
```
Example{
"error": "Invalid API key"
}